### Enumeration

# Cogl RendererConstraint

#### Declaration

    flags Cogl.RendererConstraint

#### Description [src]

These constraint flags are hard-coded features of the different renderer backends. Sometimes a platform may support multiple rendering options which Cogl will usually choose from automatically. Some of these features are important to higher level applications and frameworks though, such as whether a renderer is X11 based because an application might only support X11 based input handling. An application might also need to ensure EGL is used internally too if they depend on access to an EGLDisplay for some purpose.

Applications should ideally minimize how many of these constraints they depend on to ensure maximum portability.

#### Members

`COGL_RENDERER_CONSTRAINT_USES_X11`

  Require the renderer to be X11 based.

  - Value: `1`
  - Available since: 14
`COGL_RENDERER_CONSTRAINT_USES_XLIB`

  Require the renderer to be X11 based and use Xlib.

  - Value: `2`
  - Available since: 14
`COGL_RENDERER_CONSTRAINT_USES_EGL`

  Require the renderer to be EGL based.

  - Value: `4`
  - Available since: 14